## roguenarok 1.0

=== Makefile ===
CC = gcc 

CFLAGS = -Wall -D_GNU_SOURCE # -DNDEBUG
LFLAGS = -lm

ifeq ($(mode), debug)
 CFLAGS += -g
else
 CFLAGS += -O3 # -march=native
ifeq ($(mode), profile)
 CFLAGS += -pg -g
endif
endif
ifeq ($(mode), parallel)
CFLAGS += -DPARALLEL -DPORTABLE_PTHREADS 
LFLAGS += -pthread 
endif
ifeq ($(mode), parallelDebug)
CFLAGS += -DPARALLEL -g
LFLAGS += -pthread 
endif

RM = rm -fr

TARGETS = RogueNaRok rnr-prune rnr-lsi  rnr-tii  rnr-mast 

all :  $(TARGETS)

rnr-objs = common.o RogueNaRok.o  Tree.o BitVector.o HashTable.o List.o Array.o  Dropset.o ProfileElem.o legacy.o newFunctions.o parallel.o Node.o
lsi-objs = rnr-lsi.o common.o Tree.o BitVector.o   HashTable.o legacy.o newFunctions.o List.o
tii-objs = rnr-tii.o common.o BitVector.o Tree.o HashTable.o List.o legacy.o newFunctions.o 
mast-objs = rnr-mast.o common.o List.o Tree.o BitVector.o HashTable.o legacy.o newFunctions.o
prune-objs = rnr-prune.o common.o Tree.o BitVector.o HashTable.o  legacy.o newFunctions.o List.o

rnr-lsi: $(lsi-objs)
	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
rnr-tii: $(tii-objs)
	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
rnr-mast: $(mast-objs)
	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
rnr-prune: $(prune-objs)
	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)

ifeq ($(mode),parallel)
RogueNaRok: $(rnr-objs)
	$(CC) $(LFLAGS) -o $@-parallel   $^ $(CFLAGS)
else
RogueNaRok: $(rnr-objs)
	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
endif

%.o : %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

clean : 
	$(RM) $(rnr-objs) $(lsi-objs) $(tii-objs) $(mast-objs) $(prune-objs) $(TARGETS)  $(TESTS) $(rnr-test-objs) RogueNaRok-parallel

=== debian/changelog ===
roguenarok (1.0-3) unstable; urgency=medium

  * Team upload
  * Propagate hardening CPPFLAGS
  * Avoid FTBFS when linking with -Wl,--as-needed

 -- Graham Inggs <ginggs@debian.org>  Wed, 29 Aug 2018 10:06:06 +0000

roguenarok (1.0-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 16:16:11 +0200

roguenarok (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #857726)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Mar 2017 13:26:01 +0100

=== debian/control ===
Source: roguenarok
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/roguenarok
Vcs-Git: https://salsa.debian.org/med-team/roguenarok.git
Homepage: https://github.com/aberer/RogueNaRok

Package: roguenarok
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: versatile and scalable algorithm for rogue taxon identification
 RogueNaRok is a versatile and scalable algorithm for rogue taxon
 identification. It also includes implementations of the maximum agreement
 subtree, leaf stability index and taxonomic instability index.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	mv RogueNaRok roguenarok-single
	make clean
	dh_auto_build -- mode=parallel
	mv RogueNaRok-parallel roguenarok-parallel

## roguenarok 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 CC = gcc 
 
-CFLAGS = -Wall -D_GNU_SOURCE # -DNDEBUG
+CFLAGS = -Wall -D_GNU_SOURCE
 LFLAGS = -lm
 
 ifeq ($(mode), debug)
  CFLAGS += -g
 else
- CFLAGS += -O3 # -march=native
+ CFLAGS += -O3 -DNDEBUG # -march=native
 ifeq ($(mode), profile)
  CFLAGS += -pg -g
 endif
@@ -33,20 +33,20 @@
 prune-objs = rnr-prune.o common.o Tree.o BitVector.o HashTable.o  legacy.o newFunctions.o List.o
 
 rnr-lsi: $(lsi-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 rnr-tii: $(tii-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS)  -o $@ $^ $(LFLAGS) 
 rnr-mast: $(mast-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 rnr-prune: $(prune-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 
 ifeq ($(mode),parallel)
 RogueNaRok: $(rnr-objs)
-	$(CC) $(LFLAGS) -o $@-parallel   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@-parallel $^ $(LFLAGS) 
 else
 RogueNaRok: $(rnr-objs)
-	$(CC) $(LFLAGS) -o $@   $^ $(CFLAGS)
+	$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) 
 endif
 
 %.o : %.c $(DEPS)

=== debian/changelog ===
roguenarok (1.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097803)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 20:36:46 +0300

roguenarok (1.0.1-3) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 14:02:56 +0100

roguenarok (1.0.1-2) unstable; urgency=medium

  * Team Upload.
  * Remove d/tests/data since upstream vendors the same as example in source
  * d/examples: Install examples/* instead
  * d/p/hardening.patch: Append options to CFLAGS and pass hardening
    options properly to vendor dbg and fix blhc
  * d/rules: s/make/$(MAKE)/g
  * d/p/fix-manpage-call-and-help-exit-code.patch
    + Help  option path is called with a relative path in current
      dir, remove the relative dir path in help display
    + Exits with abort() after printing help, exit with 0 instead
  * Update manpages

 -- Nilesh Patra <nilesh@debian.org>  Thu, 07 Oct 2021 20:22:14 +0530

roguenarok (1.0.1-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Adapt autopkgtest to safety means of new version

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 10:57:07 +0200

roguenarok (1.0-4) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Update metadata with ref to conda

  [ Pranav Ballaney ]
  * Install examples
  * Add autopkgtests
  * Install docs

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Fix gcc-10 FTBFS (Closes: #957768)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 27 Jul 2020 16:36:13 +0530

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 13), debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/roguenarok
 Vcs-Git: https://salsa.debian.org/med-team/roguenarok.git
 Homepage: https://github.com/aberer/RogueNaRok
+Rules-Requires-Root: no
 
 Package: roguenarok
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	mv RogueNaRok roguenarok-single
-	make clean
+	$(MAKE) clean
 	dh_auto_build -- mode=parallel
 	mv RogueNaRok-parallel roguenarok-parallel

=== debian/watch ===
version=4

https://github.com/aberer/RogueNaRok/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
